import * as tslib_1 from "tslib";
import { IgrLegendBase } from "./igr-legend-base";
import { ItemLegend } from "./ItemLegend";
/**
 * Represents a legend that displays an item for each point in the series.
*/
var IgrItemLegend = /** @class */ (function (_super) {
    tslib_1.__extends(IgrItemLegend, _super);
    function IgrItemLegend(props) {
        return _super.call(this, props) || this;
    }
    IgrItemLegend.prototype.createImplementation = function () {
        return new ItemLegend();
    };
    Object.defineProperty(IgrItemLegend.prototype, "i", {
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    return IgrItemLegend;
}(IgrLegendBase));
export { IgrItemLegend };
